-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlClassView

Declaration :

- C++ : class UmlClassView : public UmlBaseClassView
- Java : class UmlClassView extends UmlBaseClassView

This class manages 'class view'
You can modify it as you want (except the constructor)

Artifact : UmlClassView

Operation UmlClassView

Declaration :

- C++ : public: UmlClassView(void * id, const QCString & n) : UmlBaseClassView(id, n)
- Java : public UmlClassView(long id, String n)

All public operations :

apply , associatedDeploymentView , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_AssociatedDeploymentView , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload